Summary:	Embedded Ruby
Name:		eruby
Version:	1.0.5
Release:	1mdk
License:	GPL
Group:		Development/Other
URL:		http://www.modruby.net/en/index.rbx/eruby/whatis.html
Source0:	%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}
BuildRequires:	ruby-devel
Requires:	ruby

%description
eRuby (embedded Ruby) interprets a Ruby code embedded text file. For example,
eRuby enables you to embed a Ruby code to a HTML file.

%prep
%setup -q -n %{name}-%{version}

%build
./configure.rb \
    --prefix=%_prefix \
    --datadir=%_datadir \
    --mandir=%_mandir
make

%install
rm -rf %buildroot
%{makeinstall_std}
chmod 755 %buildroot/%_libdir/ruby/*/*/eruby.so
strip %buildroot/%_libdir/ruby/*/*/eruby.so

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%{_bindir}/eruby
%{_includedir}/eruby.h
%{_libdir}/liberuby.*
%{_libdir}/ruby/*/*/eruby.*
%doc ChangeLog COPYING README.* examples

%changelog
* Thu Jan 06 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.0.5-1mdk
- First mdk release
